## ejs.js 0.8.4

=== Makefile ===

SRC = $(shell find lib -name "*.js" -type f)
UGLIFY_FLAGS = --no-mangle 

all: ejs.min.js

test:
	@./node_modules/.bin/mocha \
		--reporter spec

ejs.js: $(SRC)
	@node support/compile.js $^

ejs.min.js: ejs.js
	@uglifyjs $(UGLIFY_FLAGS) $< > $@ \
		&& du ejs.min.js \
		&& du ejs.js

clean:
	rm -f ejs.js
	rm -f ejs.min.js

.PHONY: test

=== debian/changelog ===
ejs.js (0.8.4-3) unstable; urgency=low

  * /debian/copyright:
    + Use Expat instead of MIT as license keyword.
  * /debian/control:
    + Drop nodejs dependency from libjs-ejs bin:package.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 May 2013 01:38:39 +0200

ejs.js (0.8.4-2) unstable; urgency=low

  * /debian/control:
    + Fix versioned dependency on nodejs.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 May 2013 11:02:40 +0200

ejs.js (0.8.4-1) unstable; urgency=low

  * Initial release. (Closes: #707302).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 May 2013 13:46:54 +0200

=== debian/control ===
Source: ejs.js
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper (>= 8.0.0),
 dh-buildinfo,
Standards-Version: 3.9.4
Homepage: https://github.com/visionmedia/ejs/
Vcs-Git: git://git.debian.org/collab-maint/ejs.js.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ejs.js.git

Package: node-ejs
Architecture: all
Depends:
 ${misc:Depends},
 nodejs (>= 0.6.19~dfsg-1-3~),
Description: Embedded JavaScript templates for Node.js
 Features of EJS:
 .
    - Complies with the Express view system
    - Static caching of intermediate JavaScript
    - Unbuffered code for conditionals etc <% code %>
    - Escapes html by default with <%= code %>
    - Unescaped buffering with <%- code %>
    - Supports tag customization
    - Filter support for designer-friendly templates
    - Includes
    - Client-side support
    - Newline slurping with <% code -%> or <% -%> or <%= code -%> or
      <%- code -%>
 .
 This package provides EJS support to Node.js.

Package: libjs-ejs
Architecture: all
Depends:
 ${misc:Depends},
Description: Embedded JavaScript templates (client support)
 Features of EJS:
 .
    - Complies with the Express view system
    - Static caching of intermediate JavaScript
    - Unbuffered code for conditionals etc <% code %>
    - Escapes html by default with <%= code %>
    - Unescaped buffering with <%- code %>
    - Supports tag customization
    - Filter support for designer-friendly templates
    - Includes
    - Client-side support
    - Newline slurping with <% code -%> or <% -%> or <%= code -%> or
      <%- code -%>
 .
 This package provides EJS support to clients (i.e. browsers).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs History.md

override_dh_auto_build:

override_dh_auto_clean:

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/ejs.js-$1.tar.gz/ \
https://github.com/visionmedia/ejs/tags .*/archive/v?([\d\.]+).tar.gz

## ejs.js 1.0.0+dfsg1

=== debian/changelog ===
ejs.js (1.0.0+dfsg1-1) unstable; urgency=low

  * New upstream release. (Closes: #742726).
  * debian/rules:
    + Provide get-orig-source rule, repack upstream sources: Remove minified
      ejs.min.js file from upstream tarball.
  * debian/watch:
    + Mangle Debian version (due to new +dfsg1 upstream version suffix).
  * /debian/docs:
    + Install package.json into doc folder.
  * debian/control:
    + Alioth-canonicalize Vcs-*: fields.
    + Bump Standards: version to 3.9.5. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Aug 2014 10:48:35 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends:
  debhelper (>= 8.0.0),
  dh-buildinfo,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/visionmedia/ejs/
-Vcs-Git: git://git.debian.org/collab-maint/ejs.js.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ejs.js.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/ejs.js.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ejs.js.git
 
 Package: node-ejs
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,15 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+NULL  =
+
+PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
+PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
+UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
+DTYPE = +dfsg1
+VER  ?= $(subst $(DTYPE),,$(UVER))
+
 
 %:
 	dh $@
@@ -15,3 +24,26 @@
 override_dh_auto_build:
 
 override_dh_auto_clean:
+
+get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
+	@
+
+$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
+	@echo "# Downloading..."
+	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
+	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
+	@echo "# Extracting..."
+	mkdir $(PKG)-$(VER) \
+	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
+	    || $(RM) -r $(PKG)-$(VER)
+	@echo "# Cleaning-up..."
+	cd $(PKG)-$(VER) \
+	    && find . -depth -type d -name 'windows' -exec $(RM) -r {} \; -printf 'removed %p\n' \
+	    && $(RM) -r -v \
+	        ejs.min.js \
+	        $(NULL)
+	$(RM) -v $(PKG)_$(VER).orig.tar.*
+	@echo "# Packing..."
+	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
+	    | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
+	    && $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/ejs.js-$1.tar.gz/,dversionmangle=s/\+dfsg1// \
https://github.com/visionmedia/ejs/tags .*/archive/v?([\d\.]+).tar.gz
